List all object store buckets
curl --request GET \
--url https://api.quiva.ai/storage/obj \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/storage/obj"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/storage/obj', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"body": {
"results": [
{
"name": "media-assets",
"description": "Production media files",
"entry_total": 1523,
"metadata": {
"environment": "production",
"team": "content"
},
"placement": {
"cluster": "us-east-1",
"tags": [
"ssd",
"high-iops"
]
},
"created": "2024-01-15T10:30:00Z"
},
{
"name": "user-uploads",
"description": "User-generated content",
"entry_total": 8492,
"metadata": {
"environment": "production"
},
"placement": {
"cluster": "us-west-2",
"tags": [
"standard"
]
},
"created": "2024-02-20T14:15:00Z"
}
],
"results_total": 2
},
"metadata": {
"duration": "12ms"
}
}Object Store
List all object store buckets
Retrieves a list of all object store buckets
GET
/
storage
/
obj
List all object store buckets
⌘I